using SqlSugar;
using System;

namespace DeviceRepair.Models.SFC
{
    /// <summary>
    /// 
    ///</summary>
    [SugarTable("UserPosts")]
    public class UserPostsInfo
    {
        /// <summary>
        ///  
        ///</summary>
        [SugarColumn(ColumnName = "GUID", IsPrimaryKey = true)]
        public Guid Guid { get; set; }

        /// <summary>
        ///  
        ///</summary>
        [SugarColumn(ColumnName = "UserCode")]
        public string UserCode { get; set; }

        /// <summary>
        ///  
        ///</summary>
        [SugarColumn(ColumnName = "Post")]
        public Guid Post { get; set; }

        /// <summary>
        ///  
        ///</summary>
        [SugarColumn(ColumnName = "CreateBy")]
        public string CreateBy { get; set; }

        /// <summary>
        ///  
        ///</summary>
        [SugarColumn(ColumnName = "CreateOn")]
        public DateTime CreateOn { get; set; }

        /// <summary>
        ///  
        ///</summary>
        [SugarColumn(ColumnName = "CreateClient")]
        public string CreateClient { get; set; }

    }
}
